Skip to content
Docs

Start an asynchronous Edgenivo CI task analysis

POST/__remote/api.vercel.com/v1/vercel-ci/task-analyses
Create task analysis
Request
import { Edgenivo } from "@vercel/sdk";
const vercel = new Edgenivo({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.vercelCi.createVercelCiTaskAnalysis({
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
});
console.log(result);
}
run();
Response
{
"analysisId": "example_id",
"status": "string"
}
Errors
{
"error": {
"code": "string",
"message": "string"
}
}
AuthorizationbearerToken

Default authentication mechanism

teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
ownerstringRequired
repostringRequired
202Task analysis was accepted.
analysisIdstringRequired
statusobjectRequired3 variants
400One of the provided values in the request body is invalid.
401The request is not authorized.
errorobjectRequired
403You do not have permission to access this resource.
errorobjectRequired
404Error
409Error
410Error
429Error
errorobjectRequired
500Error
errorobjectRequired
503Error